name: 18650_HOLDER
description: 18650 battery holder
keywords: battery
# https://www.aliexpress.com/item/Carprie-New-DIY-Storage-Box-Holder-Case-For-1-x-18650-Rechargeable-Battery-18Apr20-Dropshipping/32864529390.html

pinout:
  BAT+: 1
  BAT-: 2

properties:
  power: BAT+
  ground: BAT-

schematic:
  symbol: ic # connector makes weird stuff
  top: BAT+
  bottom: BAT-
  nc: MOUNTING_HOLE

housing:
  pattern: custom
  bodyWidth: 77.7
  bodyLength: 20.9
  height: 21.31

  # pins
  holeDiameter: 2.4
  padDiameter: 3.0
  padPosition: -36.45, 0, 36.45, 0

  # mounting hole
  holeDiameter1: 3.2
  padDiameter1: 0
  padPosition1: -27.805, 0, 27.805, 0
